### Enumeration

# WebKitWebProcessExtension ConsoleMessageSource

since: 2.12

#### Declaration

    enum WebKitWebProcessExtension.ConsoleMessageSource

#### Description [src]

Enum values used to denote the various sources of console messages.

Available since: 2.12

#### Members

`WEBKIT_CONSOLE_MESSAGE_SOURCE_JAVASCRIPT`

  Message produced by JavaScript.

  - Value: `0`
  - Nickname: `javascript`
  - Available since: 2.12
`WEBKIT_CONSOLE_MESSAGE_SOURCE_NETWORK`

  Network messages.

  - Value: `1`
  - Nickname: `network`
  - Available since: 2.12
`WEBKIT_CONSOLE_MESSAGE_SOURCE_CONSOLE_API`

  Messages produced by console API.

  - Value: `2`
  - Nickname: `console-api`
  - Available since: 2.12
`WEBKIT_CONSOLE_MESSAGE_SOURCE_SECURITY`

  Security messages.

  - Value: `3`
  - Nickname: `security`
  - Available since: 2.12
`WEBKIT_CONSOLE_MESSAGE_SOURCE_OTHER`

  Other messages.

  - Value: `4`
  - Nickname: `other`
  - Available since: 2.12